#include <AM50288H.h>

const int lePin = 11;
const int dinPin = 9;
const int sckPin = 12;

AM50288H lcd(lePin, dinPin, sckPin);

const byte segmentPattern[14][14] = {
  {1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
  {0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
  {0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
  {0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
  {0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0},
  {0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0},
  {0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0},
  {0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0},
  {0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0},
  {0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0},
  {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0},
  {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0},
  {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0},
  {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
};

void setup() {
  Serial.begin(9600);
  lcd.begin();

  // すべて消灯する
  lcd.clear();
  lcd.refresh();
  delay(1000);
}

void loop() {
  // すべての桁のフラグメントを順番に点灯する
  for (int i = 0; i < 8; i++) {
    lcd.clear();
    for (int j = 0; j < 14; j++) {
      lcd.setSegmentBits(i, segmentPattern[j]);
      lcd.refresh();
      delay(1000);
    }
  }
}

